[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / ham / trustedQSL

Annotation of pkgsrc/ham/trustedQSL/Makefile, Revision 1.19

1.19    ! mef         1: # $NetBSD: Makefile,v 1.18 2015/11/22 09:52:55 mef Exp $
1.1       mef         2:
1.19    ! mef         3: DISTNAME=              tqsl-2.1.3
1.1       mef         4: CATEGORIES=            ham
1.19    ! mef         5: MASTER_SITES=          http://sourceforge.net/projects/trustedqsl/files/TrustedQSL/v${PKGVERSION_NOREV}/
1.1       mef         6:
                      7: MAINTAINER=            makoto@ki.nu
                      8: HOMEPAGE=              http://sourceforge.net/projects/trustedqsl/
                      9: COMMENT=               TrustedQSL, uploading QSL Data to LoTW of ARRL
1.2       mef        10: LICENSE=               arrl-license
1.1       mef        11:
1.9       mef        12: # A macro _S in /usr/include/ctype.h conflicts with one in apps/tqsltrace.h
                     13: # NOT_FOR_PLATFORM+=   NetBSD-5.*
                     14:
1.1       mef        15: USE_TOOLS+=            perl gmake cmake
                     16: USE_LANGUAGES+=                c c++
                     17: USE_LIBTOOL=           yes
                     18: USE_CMAKE=             yes
                     19:
                     20: # There is an unresolved build failure, where -R for /usr/pkg/lib does
                     21: # not precede /usr/X11R7/lib, and on a netbsd-5 system with base xorg,
                     22: # an old version of pixman is found by the pkgsrc cairo.  The root
                     23: # cause (aside from having two pixman versions installed) is ad hoc -L
                     24: # usage in Makefile.am, without matching -R.
                     25:
                     26: do-configure:
                     27:        (cd $(WRKSRC) ; \
                     28:        cmake \
                     29:        -DBDB_PREFIX=${PREFIX} \
1.9       mef        30:        -DBDB_INCLUDE_DIR=${PREFIX}/include \
1.1       mef        31:        -DCMAKE_BUILD_WITH_INSTALL_RPATH=TRUE \
                     32:        -DCMAKE_INSTALL_PREFIX=${PREFIX} \
                     33:        -DCMAKE_INSTALL_RPATH=${PREFIX}/lib \
                     34:        -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=FALSE \
                     35:        .)
                     36:
                     37: post-install:
                     38:        (cd ${WRKSRC} ;\
                     39:        ${INSTALL_DATA} LICENSE.txt ${DESTDIR}${PREFIX}/share/TrustedQSL/ \
                     40:        )
1.17      mef        41:        # Conflicting PLIST with wxGTK28-2.8.12nb8:
                     42:        ${RM} ${DESTDIR}${PREFIX}/share/locale/*/LC_MESSAGES/wxstd.mo
                     43:
1.1       mef        44: .include "../../textproc/expat/buildlink3.mk"
                     45: .include "../../databases/db5/buildlink3.mk"
1.18      mef        46: .include "../../mk/wxGTK.mk"
1.1       mef        47: .include "../../www/curl/buildlink3.mk"
                     48:
                     49: .include "../../mk/bsd.pkg.mk"

CVSweb <webmaster@jp.NetBSD.org>